Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166023 - Postmortem performance problem analysis and notification
Postmortem performance problem analysis and notification
Status: CLOSED FIXED
Product: qa
Classification: Unclassified
Component: Tests
5.x
All All
: P1 (vote)
: 7.0
Assigned To: Jaroslav Tulach
issues@performance
http://wiki.netbeans.org/FitnessViaPo...
: API_REVIEW_FAST, PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 11:46 UTC by Jaroslav Tulach
Modified: 2011-05-24 13:54 UTC (History)
5 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Changes in o.n.core as well as profiler (24.61 KB, patch)
2009-05-26 12:22 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2009-05-26 11:46:52 UTC
Create tool that will automatically detect non-responsiveness. Allow users to send detailed reports about such events. 
More info at
http://wiki.netbeans.org/FitnessViaPostMortem
Comment 1 Jaroslav Tulach 2009-05-26 12:21:20 UTC
The change will need an API review as it wants to introduce friend API between core and profiler. See the 
SelfSamplerActionTest for examples of usage.
Comment 2 Jaroslav Tulach 2009-05-26 12:22:51 UTC
Created attachment 82789 [details]
Changes in o.n.core as well as profiler
Comment 3 Jaroslav Tulach 2009-06-01 12:33:28 UTC
Thanks for review. I plan to integrate tomorrow.
Comment 4 Jaroslav Tulach 2009-06-02 10:22:22 UTC
ergonomics#15df29c7d7db
Comment 5 Quality Engineering 2009-06-03 18:41:20 UTC
Integrated into 'main-golden', will be available in build *200906031401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/15df29c7d7db
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #166023: System Slowness Detected Infrastructure
Comment 6 Jesse Glick 2009-06-16 00:03:20 UTC
You have

if (pending.size() > 5) {
    pending.remove().clear();
}

which is good, but I find these notifications piling up all the time and they are quite a distraction in the status bar.
Could you please automatically clear any notification which is more than, say, 1 minute old? If I haven't clicked on it
by then, I'm probably never going to do so. Anyway by then I typically no longer remember what I was doing when the IDE
froze for a second or two - this is normal behavior.
Comment 7 Jaroslav Tulach 2009-06-16 13:17:39 UTC
as you wish my lord: 529a3f03ff33


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo